View Issue Details

IDProjectCategoryLast Update
0021634AI War 2[All Projects] SuggestionSep 16, 2019 9:16 am
ReporteroverzotAssigned Tox4000Bughunter 
Severitytweak 
Status feedbackResolutionreopened 
Product Version0.888 Astro Examination 
Fixed in Version0.889 Reticulating Those Splines 
Summary0021634: Allow setting blueprints on neutral planets before command station
DescriptionI'm finding that I have to build command stations in two steps sometimes. When I want the station protected by a forcefield, I have to build the station, put the forcefield down, then blow it up, and finally rebuild it under the forcefield. If I could either "relocate" the station after it's built or set down a forcefield blueprint before setting down the station, it would be nice.
TagsNo tags attached.

Relationships

related to 0021639 resolvedx4000Bughunter Should beachhead turrets stop building if battlestation is dead? 

Activities

x4000Bughunter

Sep 13, 2019 9:32 am

administrator   ~0053064

I think that what we really need to do is make it so that if the flagship (aka command station in this case) is dead or not yet finished constructing, then anything in its fleet won't construct, either. This is basically the same issue as 0021639, except that in your case you're able to kind of game things to build things out of order. The command station is what builds the forcefields, so without it being present there it shouldn't be able to construct.

x4000Bughunter

Sep 13, 2019 12:47 pm

administrator   ~0053074

Thanks!

* For structures that you place, they are no longer able to be constructed if their flagship (or command station, as the case may be) is not present on the same planet as them, is crippled, or is not yet fully constructed.
** So you can't have a battlestation or citadel go into enemy territory, start construction on a beachhead, then get crippled and have that construction continue without it.
** And you also can't start construction on a command station, then build something like a forcefield generator, then scrap the command station and rebuild it after the forcefield generator is complete.
** This needs testing, but it will also tell you about this in the tooltips as relevant.

overzot

Sep 16, 2019 4:28 am

reporter   ~0053124

Latest patch didn't fix this, as the issue I'm reporting doesn't have anything to do with building of planet-fleet elements when the CC isn't present.

The play issue being reported is that I want to plan my planet defenses prior to placing my command center. This desire stems from the inability to relocate the CC without destroying it. This is particularly relevant on military planets, as sometimes I want to place the forcefield to cover the CC but not cover a wormhole. This requires me to know the radius of the forcefield prior to placing the CC. This is impossible unless I waste time and metal fully building the CC, do all my planning, then blow up the CC and put it in the spot I actually want.

After mulling it some more, I'd update the suggested fix to: "allow placing all planet-fleet elements on a neutral planet without the CC". Given the latest patch chance, this should cause no balance change as they cannot be constructed until the CC is up and running. This way, I can plan out everything I want, and hopefully minimize some manual CC destruction.

x4000Bughunter

Sep 16, 2019 9:16 am

administrator   ~0053125

What you can construct is entirely dependent on which command station type you choose, though. I see where you're coming from, but I can't think of a non-confusing way to give you these sorts of options without knowing what command station type you're going to have.

Possibly some limited ability to move command stations around at a snails pace would solve it, or something like that. I was welcome.

Issue History

Date Modified Username Field Change
Sep 12, 2019 9:29 pm overzot New Issue
Sep 13, 2019 9:30 am x4000Bughunter Relationship added related to 0021639
Sep 13, 2019 9:32 am x4000Bughunter Note Added: 0053064
Sep 13, 2019 12:47 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 13, 2019 12:47 pm x4000Bughunter Status new => resolved
Sep 13, 2019 12:47 pm x4000Bughunter Resolution open => fixed
Sep 13, 2019 12:47 pm x4000Bughunter Fixed in Version => 0.889 Reticulating Those Splines
Sep 13, 2019 12:47 pm x4000Bughunter Note Added: 0053074
Sep 16, 2019 4:28 am overzot Status resolved => feedback
Sep 16, 2019 4:28 am overzot Resolution fixed => reopened
Sep 16, 2019 4:28 am overzot Note Added: 0053124
Sep 16, 2019 9:16 am x4000Bughunter Note Added: 0053125